Name:		gnome-phone-manager
Summary:	Gnome Phone Manager
Version: 	0.30
Release: 	1%{?dist}
License: 	GPLv2+
Group: 		Applications/System
Source:		http://ftp.gnome.org/pub/GNOME/sources/gnome-phone-manager/%{version}/%{name}-%{version}.tar.bz2
URL: 		http://usefulinc.com/software/phonemgr/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	gtk2-devel
BuildRequires:	libgnomeui-devel
BuildRequires:	libgnome-devel
BuildRequires: 	gnome-bluetooth-devel
BuildRequires:	libbtctl-devel
BuildRequires:	openobex-devel
BuildRequires:	bluez-libs-devel
BuildRequires:	gnokii-devel
BuildRequires:	gstreamer-devel >= 0.10
BuildRequires:	gnome-icon-theme >= 2.19.1
# For libebook (evolution address book)
BuildRequires:	evolution-data-server-devel
BuildRequires:	perl(XML::Parser)
BuildRequires:	gettext
BuildRequires:	desktop-file-utils

%description
This program will connect to your mobile phone over a serial port,
either via a cable, infrared (IrDA) or Bluetooth connection.

For example it listens for text messages, and when they arrive, 
displays them on the desktop. A visual indicator is displayed in 
the notification area, if one is presently added to the panel.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%{__rm} -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%find_lang %{name}
desktop-file-install \
  --delete-original \
  --vendor fedora \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category X-Fedora \
  $RPM_BUILD_ROOT%{_datadir}/applications/gnome-phone-manager.desktop

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
        %{_sysconfdir}/gconf/schemas/gnome-phone-manager.schemas 	\
	>& /dev/null || :

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule 				\
        %{_sysconfdir}/gconf/schemas/gnome-phone-manager.schemas 	\
	>& /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule 				\
        %{_sysconfdir}/gconf/schemas/gnome-phone-manager.schemas 	\
	>& /dev/null || :
fi

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-, root, root, -)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_sysconfdir}/gconf/schemas/gnome-phone-manager.schemas
%{_bindir}/gnome-phone-manager
%{_datadir}/applications/*.desktop
%{_datadir}/gnome-phone-manager/

%changelog
* Mon Oct 29 2007 - Bastien Nocera <bnocera@redhat.com> - 0.30-1
- Update to 0.30
- Fix sending non-ASCII texts (for real)
- Add debugging improvements

* Wed Oct 17 2007 - Bastien Nocera <bnocera@redhat.com> - 0.20-1
- Update to 0.20

* Sun Aug 19 2007 - Bastien Nocera <bnocera@redhat.com> - 0.10-1
- Update to 0.10 (#253400)
- Remove obsolete work-arounds and dependencies
- Update BRs
- Add GConf scriptlets

* Fri Aug 17 2007 Linus Walleij <triad@df.lth.se> 0.8-6
- Update license field from GPL to GPLv2+

* Sun Nov 15 2006 Linus Walleij <triad@df.lth.se> 0.8-5
- Rebuild to pick up libbtctl i/f bump.

* Sun Oct 29 2006 Linus Walleij <triad@df.lth.se> 0.8-4
- Rebuild to pick up libedataserver i/f bump.

* Sun Oct 8 2006 Linus Walleij <triad@df.lth.se> 0.8-3
- Pick up intltool.

* Sun Oct 8 2006 Linus Walleij <triad@df.lth.se> 0.8-2
- Pick up libtool.

* Sun Oct 8 2006 Linus Walleij <triad@df.lth.se> 0.8-1
- New upstream version including patch.
- The icon is an an even weirder place now!
- Have to run som autotools on this one to get it working.

* Tue Sep 5 2006 Linus Walleij <triad@df.lth.se> 0.7-5
- Patch to compile with new version of E-D-S.

* Thu Aug 10 2006 Linus Walleij <triad@df.lth.se> 0.7-4
- Missing BR

* Thu Aug 3 2006 Linus Walleij <triad@df.lth.se> 0.7-3
- Updated after feedback from Chris Weyl
- Bogus problem with cellphone.png icon image

* Sat Jul 29 2006 Linus Walleij <triad@df.lth.se> 0.7-2
- Updated after feedback from Parag and Paul

* Tue Jun 27 2006 Linus Walleij <triad@df.lth.se> 0.7-1
- 0.7 Release
- Took Matthews nrpm package and Fedora Extrasificated it

* Fri Sep 09 2005 Matthew Hall <matt@nrpms.net> 0.6-1
- 0.6 Release

* Mon Jun 20 2005 Matthew Hall <matt@nrpms.net> 0.4-1
- 0.4 Release
